%define	dist .tuju	
Name:           libsyncml
Version:        0.4.0
Release:        0%{?dist}.1
Summary:        SyncML library

Group:          System Environment/Libraries
License:        GPL
URL:            http://libopensync.opensync.org/
# see http://www.opensync.org/wiki/download
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libopensync-devel
#BuildRequires:  gamin-devel
BuildRequires: libsoup-devel,  openobex-devel, wbxml2-devel

%description
%{summary}

%package devel
Summary:        System Environment/Libraries development files
Group:          Development/Libraries

%description devel
%{summary}

%prep 
%setup -q

%build
%configure --enable-http --enable-obex
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}
%{_libdir}

%files devel
%{_includedir}

%changelog
* Fri Aug 4 2006 Juha Tuomala <Juha.Tuomala@iki.fi> 0.4.0-0.tuju.1
- initial version
